package com.sunxung.factoring.entity.biddingManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 招投标管理-保证金退款确认
 * </p>
 *
 * @author yafan
 * @since 2023-11-21
 */
@TableName("bidding_refund_deposit_confirmation")
public class BiddingRefundDepositConfirmation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 招投标基本信息表Id
     */
    @TableField("bidding_basic_info_id")
    private Long biddingBasicInfoId;

    /**
     * 保证金退还  1确认
     */
    @TableField("refund_deposit")
    private Integer refundDeposit;

    /**
     * 保证金金额
     */
    @TableField("deposit_amount")
    private BigDecimal depositAmount;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    @TableField(exist = false)
    private List<Long> fileIds;

    @TableField(exist = false)
    private List<FileStorage> fileStorageList;

    public Long getBiddingBasicInfoId() {
        return biddingBasicInfoId;
    }

    public void setBiddingBasicInfoId(Long biddingBasicInfoId) {
        this.biddingBasicInfoId = biddingBasicInfoId;
    }

    public Integer getRefundDeposit() {
        return refundDeposit;
    }

    public void setRefundDeposit(Integer refundDeposit) {
        this.refundDeposit = refundDeposit;
    }

    public BigDecimal getDepositAmount() {
        return depositAmount;
    }

    public void setDepositAmount(BigDecimal depositAmount) {
        this.depositAmount = depositAmount;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public List<FileStorage> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorage> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    @Override
    public String toString() {
        return "BiddingRefundDepositConfirmation{" +
                ", biddingBasicInfoId=" + biddingBasicInfoId +
                ", refundDeposit=" + refundDeposit +
                ", depositAmount=" + depositAmount +
                "}";
    }
}
